Name:           wiggle
Version:        0.8
Release:        4%{?dist}
Summary:        A tool for applying patches with conflicts

Group:          Development/Tools
License:        GPLv2+
URL:            http://neil.brown.name/wiggle/
Source0:        http://neil.brown.name/wiggle/%{name}-%{version}.tar.gz
Patch0:         wiggle-fix-build.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  groff, time, ncurses-devel
#Requires:       

# The source tarball used, is obtained by visiting the URL above and
# getting a snapshot that contains the latest sources.  This can be
# done by clicking the 'snapshot' link listed on the gitweb interface
# This snapshot was the latest commit on the 'master' branch.
# 
# RPM doesn't particularly like this link as a 'Source', so I'll paste
# is here for posterity:
#
# http://neil.brown.name/git?p=wiggle;a=snapshot;h=1c5bfa7ce4de088e3b942463bb11cdc553a92b97;sf=tgz
#

%description
Wiggle is a program for applying patches that 'patch' cannot apply due
to conflicting changes in the original.

Wiggle will always apply all changes in the patch to the original.  If
it cannot find a way to cleanly apply a patch, it inserts it in the
original in a manner similar to 'merge', and reports an unresolvable
conflict.

%prep
%setup -q -n wiggle-0.8
%patch0 -p1 -b .orig

%build
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ANNOUNCE COPYING TODO
/usr/bin/wiggle
%{_mandir}/man1/wiggle.1*


%changelog
* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Mar 26 2010 Andy Gospodarek <gospo@redhat.com> 0.8-1
- Rebased to new version of wiggle, 0.8.

* Mon Oct 19 2009 Andy Gospodarek <gospo@redhat.com> 0.6-7
- Updated location for wiggle sources and uploaded new source-file. [506812]
- Dropped first patch since it was now included.

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6-4
- Autorebuild for GCC 4.3

* Tue Jan 15 2008 Andy Gospodarek <gospo@redhat.com> 0.6-3
- More suggested package cleanups and doc additions

* Mon Jan 14 2008 Andy Gospodarek <gospo@redhat.com> 0.6-2
- Makefile changes and spec-file cleanups

* Mon Jan 14 2008 Andy Gospodarek <gospo@redhat.com> 0.6-1
- Initial build various patches from around the web

